from worm2d import Engine, Viewport
import pygame, math,random
from utility import*


class DataManager(object):
    def __init__(self):
        self.images = {}
        self.sounds = {}
        self.music = {}
    def load(self, engine):
        i = engine.LoadImage("data/ships/goodguy.png")
        self.images["goodguyship"] = i

        i = engine.LoadImage("data/ships/skyhawk.png")
        self.images["skyhawk"] = i

        i = engine.LoadImage("data/ships/fighter.png")
        self.images["fighter"] = i

        i = engine.LoadImage("data/ships/heavy fighter.png")
        self.images["heavy fighter"] = i

        i = engine.LoadImage("data/ships/imobilizare.png")
        self.images["imobilizare"] = i

        i = engine.LoadImage("data/ships/maggot.png")
        self.images["maggot"] = i

        i = engine.LoadImage("data/ships/transport.png")
        self.images["transport"] = i

        i = engine.LoadImage("data/ships/fuel tanker.png")
        self.images["fuel tanker"] = i

        i = engine.LoadImage("data/ships/science facility.png")
        self.images["science facility"] = i

        i = engine.LoadImage("data/effects/shot.png")
        self.images["shot"] = i

        i = engine.LoadImage("data/effects/hit.png")
        self.images["h1"] = i
        i = engine.LoadImage("data/effects/hit2.png")
        self.images["h2"] = i
        i = engine.LoadImage("data/effects/hit3.png")
        self.images["h3"] = i

        i = engine.LoadSequence("data/effects/explosions/exp1.png", 4,4,16,32,64)
        self.images["exp2"] = i

        i = engine.LoadSequence("data/effects/explosions/exp2.png", 4,4,16,128,128)
        self.images["exp1"] = i

        i = engine.LoadImage("data/ships/platform/main.png")
        self.images["platform_main"] = i
        i = engine.LoadImage("data/ships/platform/dead.png")
        self.images["platform_dead"] = i
        i = engine.LoadSequence("data/ships/platform/props.png", 2,2,4,256,256)
        self.images["platform_prop"] = i

        i = engine.LoadImage("data/ships/cruiser/cruiser.png")
        self.images["cruiser"] = i
        i = engine.LoadImage("data/ships/cruiser/dead.png")
        self.images["cruiser dead"] = i


        i = engine.LoadImage("data/backgrounds/ocean/back.png")
        self.images["bg_oc_0"] = i
        i = engine.LoadImage("data/backgrounds/ocean/clouds.png")
        self.images["bg_oc_1"] = i

        i = engine.LoadImage("data/hud/com.png")
        self.images["com"] = i

        i = engine.LoadImage("data/hud/radar.png")
        self.images["radar"] = i

        i = engine.LoadImage("data/hud/dot.png")
        self.images["dot"] = i

        i = engine.LoadImage("data/hud/health.png")
        self.images["health"] = i

        




        #sound
        self.sounds["normal shoot"] = pygame.mixer.Sound("data/sound/shoot.wav")
        self.sounds["normal shoot"].set_volume(0.5)
        self.sounds["ship_engine"] = pygame.mixer.Sound("data/sound/engine2.wav")
        self.sounds["ship_engine"].set_volume(0.2)
        self.sounds["hit 1"] = pygame.mixer.Sound("data/sound/hit.wav")
        self.sounds["hit 1"].set_volume(0.5)
        self.sounds["hit 2"] = pygame.mixer.Sound("data/sound/hit1.wav")
        self.sounds["hit 2"].set_volume(0.5)
        self.sounds["hit 3"] = pygame.mixer.Sound("data/sound/hit2.wav")
        self.sounds["hit 3"].set_volume(0.5)
        self.sounds["hit 4"] = pygame.mixer.Sound("data/sound/hit3.wav")
        self.sounds["hit 4"].set_volume(0.5)
        self.sounds["hit 5"] = pygame.mixer.Sound("data/sound/hit4.wav")
        self.sounds["hit 5"].set_volume(0.5)
        self.sounds["hit 6"] = pygame.mixer.Sound("data/sound/hit5.wav")
        self.sounds["hit 6"].set_volume(0.5)
        self.sounds["hit 7"] = pygame.mixer.Sound("data/sound/hit6.wav")
        self.sounds["hit 7"].set_volume(0.5)
        self.sounds["big explosion"] = pygame.mixer.Sound("data/sound/explosion.wav")
        self.sounds["big explosion"].set_volume(1.0)
        self.sounds["explosion"] = pygame.mixer.Sound("data/sound/explosion2.wav")
        self.sounds["explosion"].set_volume(0.4)

        self.sounds["heavy shot"] = pygame.mixer.Sound("data/sound/big gun2.wav")
        self.sounds["heavy shot"].set_volume(0.6)

        self.sounds["heavy shot 2"] = pygame.mixer.Sound("data/sound/huge gun.wav")
        self.sounds["heavy shot 2"].set_volume(0.7)
        

        #music

        
        

        
    
