from worm2d import Engine, Viewport
import pygame, math,random
from utility import*
from vector import Vector

delta = {9: [ (0,0), (-4,-2), (4, -2), (-7,-5), (7,-5), (-2,-8), (2, -8), (-9,-9),(9,-9)],
         8: [ (0,0), (-2,-2), (2,-2), (-4,-5), (4,-5), (0,  -7), (-6,-7), (6, -7)],
         7: [ (0,0), (-3,-2), (3,-2), (-2,-6), (2,-6), (-6,-6), (6, -6)],
         6: [ (0,0), (-2,-2), (2,-2), (0, -4),(-4,-4), (4, -4)],
         5: [ (0,0), (-2,-2), (2,-2), (-4,-4),(4, -4)],
         4: [ (0,0), (-2,-2), (2,-2), (0, -3)],
         3: [ (0,0), (-2,-2), (2,-2)],
         2: [ (0,0), (-2,-2)],
         1: [ (0,0)]
         }

class HUD(object):
    def __init__(self, ids):
        self.px = 0
        self.py = 0
        self.scale = 0.01
        self.max = (18/2)-2
        self.dir = Vector([0,0])
        self.mode = "delta"
        self.ids = ids
        self.spread = 0.6
    def update(self,game):
        #radar
        for i in game.ships:
            if i.team == 0 and i.isleader == True:
                self.px = i.x
                self.py = i.y
                self.dir = i.dir
                self.mode = i.mode

    def on_ship_die(self,ship_id,ships):
        for i in self.ids:
            if i == ship_id:
                self.ids.remove(i)
        
        
        
    def draw(self,game):
        game.engine.DrawImage(game.data.images["radar"], 40,28,18,18,1,0)

        #radar
        rx,ry = 40,28
        r = 18

        for i in game.ships:
            if id(i) not in self.ids:
                ex = i.x
                ey = i.y

                p_old = Vector([ex-self.px, ey-self.py])
                l = p_old.length*self.scale
                new_p = (p_old.normalised()*l).rotated((360-self.dir.angle)-90)                    
                

                color = [1,1,0]
                if i.team == 0:
                    color = [0,1,0]
                elif i.team == 1:
                    color = [1,0,0]


                if new_p.length < self.max:
                    game.engine.DrawImage(game.data.images["dot"], new_p.x+rx,new_p.y+ry,0.5,0.5,1,0, color[0],color[1],color[2])
                if new_p.length > self.max:
                    new_p = (new_p.normalised())*(self.max-0.001)
                    game.engine.DrawImage(game.data.images["dot"], new_p.x+rx,new_p.y+ry,1.0,1.0,1,0, color[0],color[1],color[2])

        #draw health
        hx,hy = -40,25
        game.engine.DrawImage(game.data.images["health"], -40,28,18,18,1,0)

        if True:#self.mode == "delta":
            for i in range(len(self.ids)):
                #Ranked first to last
                for s in game.ships:
                    if self.ids[i] == id(s):
                        x = (delta[len(self.ids)][i][0]) * self.spread
                        y = (-delta[len(self.ids)][i][1]) * self.spread
                        spot = Vector([x,y])
                        spot = spot

                        h = float(s.health)/float(200)

                        r = 1.0 - h
                        g = h

                        game.engine.DrawImage(game.data.images["goodguyship"], spot.x+hx,spot.y+hy,3.0,3.0,1,180, r,g,0)
                            
                        

                

        
        
